curl -X GET https://api.gmproxys.com/v1/history \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "5238"
}'
const response = await fetch("https://api.gmproxys.com/v1/history", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "5238",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/history",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "5238"},
)
print(response.json())
{
"history": [
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-09 09:08:37 UTC"
},
{
"balance_charged": 2,
"traffic_added": 2,
"datetime": "2024-10-08 13:45:27 UTC"
},
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-01 06:31:14 UTC"
}
]
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
Saldo
Histórico de Saldo
Retorna o histórico de saldo de uma proxy.
GET
/
v1
/
history
curl -X GET https://api.gmproxys.com/v1/history \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "5238"
}'
const response = await fetch("https://api.gmproxys.com/v1/history", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "5238",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/history",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "5238"},
)
print(response.json())
{
"history": [
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-09 09:08:37 UTC"
},
{
"balance_charged": 2,
"traffic_added": 2,
"datetime": "2024-10-08 13:45:27 UTC"
},
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-01 06:31:14 UTC"
}
]
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
Retorna o histórico de movimentações de saldo (cobranças e adições) de um usuário da proxy específico.
Headers
Sua chave de API no formato
gm_SUA_CHAVE.Body
ID do usuário da proxy a ser consultado.
Resposta
curl -X GET https://api.gmproxys.com/v1/history \
-H "X-API-Key: gm_SUA_CHAVE" \
-H "Content-Type: application/json" \
-d '{
"user_id": "5238"
}'
const response = await fetch("https://api.gmproxys.com/v1/history", {
method: "GET",
headers: {
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
body: JSON.stringify({
user_id: "5238",
}),
});
const data = await response.json();
import requests
response = requests.get(
"https://api.gmproxys.com/v1/history",
headers={
"X-API-Key": "gm_SUA_CHAVE",
"Content-Type": "application/json",
},
json={"user_id": "5238"},
)
print(response.json())
{
"history": [
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-09 09:08:37 UTC"
},
{
"balance_charged": 2,
"traffic_added": 2,
"datetime": "2024-10-08 13:45:27 UTC"
},
{
"balance_charged": 1,
"traffic_added": 1,
"datetime": "2024-10-01 06:31:14 UTC"
}
]
}
{
"success": false,
"message": "Invalid API token."
}
{
"success": false,
"message": "Proxy user not found."
}
⌘I

